# Interface JSVAppInterface

All Superinterfaces:
  `JSVAppletInterface`

All Known Implementing Classes:
  `JSVApp, JSVAppPro`

public interface JSVAppInterface extends JSVAppletInterface

## Method Summary

Modifier and Type
Method
Description
`Lst<String>`
`getScriptQueue()`
`void`
`setVisible(boolean b)`

### Methods inherited from interface JSVAppletInterface

`addHighlight, checkScript, exportSpectrum, getCoordinate, getPropertyAsJavaObject, getPropertyAsJSON, getSolnColour, isPro, isSigned, loadInline, print, removeAllHighlights, removeHighlight, reversePlot, runScript, runScriptNow, setFilePath, setSpectrumNumber, syncScript, toggleCoordinate, toggleGrid, toggleIntegration, togglePointsOnly, writeStatus`

## Method Details

### getScriptQueue

Lst<String> getScriptQueue()

### setVisible

void setVisible(boolean b)